require 'prawn'
require 'prawn/measurement_extensions'


require_relative "teaching_printables/quad_rulable"
require_relative "teaching_printables/templatable"
require_relative "teaching_printables/gridable"
require_relative "teaching_printables/shapeable"
require_relative "teaching_printables/factory"
require_relative "teaching_printables/tp_document"
require_relative "teaching_printables/version"

module TeachingPrintables
  extend self

  file = __FILE__
  file = File.readlink(file) if File.symlink?(file)
  dir  = File.dirname(file)

  # The base source directory as installed on the system

  BASEDIR = File.expand_path(File.join(dir, '..'))
  
  GRAPHIC_EXTENSIONS = [".jpg",".JPG",".png",".jpeg"]
  def is_image_file?(filename)
    !filename.start_with?(".") && GRAPHIC_EXTENSIONS.include?(File.extname(filename))
  end
  
end






  